using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ManualSoftwareSystem.lib
{
    internal class clsLanguageThai
    {

        public string Translate(string strEnglish)
        {

            switch (strEnglish)
            {
                case "Operator":
                    return "ผู้ใช้งาน";
                case "Operator (*Required)":
                    return "ผู้ใช้งาน (*จำเป็น)";
                case "Add":
                    return "เพิ่ม";
                case "Del":
                    return "ลบ";
                case "Yes":
                    return "ตกลง";
                case "Cancel":
                    return "ยกเลิก";
                case "Operator is Blanks":
                    return "ช่องผู้ใช้งานว่างอยู่";
                case "Warning":
                    return "คำเตือน";
                case "Inspection information":
                    return "ข้อมูลการตรวจสอบ";
                case "Please fill out inspection information":
                    return "โปรดใส่ข้อมูลการตรวจสอบ";
                case "Weather":
                    return "สภาพอากาศ";
                case "Temperature":
                    return "อุณหภูมิ";
                case "Humidity":
                    return "ความชื้น";
                case "Inspection common remarks":
                    return "ข้อคิดเห็นในการตรวจสอบ";
                case "Weather is Blanks":
                    return "ช่องสภาพอากาศว่างอยู่";
                case "Temperature is Blanks":
                    return "ช่องอุณหภูมิว่างอยู่";
                case "Humidity is Blanks":
                    return "ช่องความชื้นว่างอยู่";
                case "Inspection common remarks is Blanks":
                    return "ช่องข้อคิดเห็นในการตรวจสอบว่างอยู่";
                case "Operation Manual":
                    return "คู่มือการใช้งาน";
                case "Inspection Work":
                    return "ชิ้นงานการตรวจสอบ";
                case "Inspection Result":
                    return "ผลการตรวจสอบ";
                case "Inspection Result Output":
                    return "ส่งออกข้อมูลผลการตรวจสอบ";
                case "Work History":
                    return "ประวัติการทำงาน";
                case "Search Function":
                    return "ฟังก์ชั่นการค้นหา";
                case "Setting":
                    return "การตั้งค่า";
                case "Master Maintenance":
                    return "งานต้นฉบับ";
                case "New":
                    return "สร้างใหม่";
                case "Edit":
                    return "แก้ไข";
                case "Login":
                    return "เข้าสู่ระบบ";
                case "User":
                    return "ชื่อผู้ใช้งาน";
                case "Password":
                    return "รหัสผ่าน";
                case "OK":
                    return "ตกลง";
                case "Setting user Information":
                    return "การตั้งค่าข้อมูลผู้ใช้งาน";
                case "User ID":
                    return "ID ผู้ใช้งาน";
                case "Master Maintenance user Information":
                    return "ข้อมููลงานต้นฉบับ";
                case "Save":
                    return "บันทึก";
                case "Please insert the USB key.":
                    return "โปรดติดตั้ง USB Key";
                case "Not correct":
                    return "ไม่ถูกต้อง";
                case "No file selected.":
                    return "ไม่ได้เลือกไฟล์";
                case "Login Not correct":
                    return "ข้อมูล Login ผิดพลาด";
                case "User ID Setting is Blanks":
                    return "การตั้งค่า ID ผู้ใช้งานว่างอยู่";
                case "Password Setting is Blanks":
                    return "การตั้งค่ารหัสผ่านว่างอยู่";
                case "User ID Master is Blanks":
                    return "ID ผู้ใช้งานต้นฉบับว่างอยู่";
                case "Password Master is Blanks":
                    return "รหัสผ่านต้นฉบับว่างอยู่";
                case "Registration is Complete.":
                    return "การลงทะเบียนเสร็จสมบูรณ์";
                case "Information":
                    return "ข้อมูล";
                //case "Blanks and double quotation marks cannot be entered.":
                case "Blanks and double quotation marks are not allowed.":
                    return "ไม่สามารถเว้นวรรค หรือใส่เครื่องหมายได้";
                case "Name(Format)":
                    return "ชื่อ(ฟอร์แมต)";
                case "Index":
                    return "ดัชนี";
                case "Information1":
                    return "ข้อมูล 1";
                case "Information2":
                    return "ข้อมูล 2";
                case "Master Maintenance New":
                    return "งานต้นฉบับใหม่";
                case "It will be the input file name of the product information.":
                    return "ใส่ชื่อไฟล์ของตัวข้อมูลผลิตภัณฑ์";
                case "File name":
                    return "ชื่อไฟล์";
                //case "Product No":
                case "Product":
                    return "ตัวผลิตภัณฑ์";
                case "Version":
                    return "เวอร์ชั่น";
                case "Information3":
                    return "ข้อมูล 3";
                case "Information4":
                    return "ข้อมูล 4";
                case "Information5":
                    return "ข้อมูล 5";
                case "Excel output format setting":
                    return "ตั้งค่าการส่งออกข้อมูล Excel";
                case "Select":
                    return "เลือก";
                case "Clear":
                    return "ล้างข้อมูล";
                case "Excel output path is Blanks":
                    return "การส่งออกข้อมูล Excel ว่างอยู่";
                case "Name(Format) is Blanks":
                    return "ชื่อ(ฟอร์แมต) ว่างอยู่";
                //case "Product No is Blanks":
                case "Product is Blanks":
                    return "ตัวผลิตภัณฑ์ว่างอยู่";
                case "Version is Blanks":
                    return "เวอร์ชั่นว่างอยู่";
                case "Index is Blanks":
                    return "ดัชนีว่างอยู่";
                case "Information1 is Blanks":
                    return "ข้อมูล 1 ว่างอยู่";
                case "Information2 is Blanks":
                    return "ข้อมูล 2 ว่างอยู่";
                case "Information3 is Blanks":
                    return "ข้อมูล 3 ว่างอยู่";
                case "Information4 is Blanks":
                    return "ข้อมูล 4 ว่างอยู่";
                case "Information5 is Blanks":
                    return "ข้อมูล 5 ว่างอยู่";
                case "Name(Format) : Double quotes are not allowed.":
                    return "ชื่อ(ฟอร์แมต) : ไม่สามารถใส่เครื่องหมายได้";
                //case "Product No : Double quotes are not allowed.":
                case "Product : Double quotes are not allowed.":
                    return "ตัวผลิตภัณฑ์ : ไม่สามารถใส่เครื่องหมายได้";
                case "Version : Double quotes are not allowed.":
                    return "เวอร์ชั่น  : ไม่สามารถใส่เครื่องหมายได้";
                case "Index : Double quotes are not allowed.":
                    return "ดัชนี  : ไม่สามารถใส่เครื่องหมายได้";
                case "Information1 : Double quotes are not allowed.":
                    return "ข้อมูล 1  : ไม่สามารถใส่เครื่องหมายได้";
                case "Information2 : Double quotes are not allowed.":
                    return "ข้อมูล 2  : ไม่สามารถใส่เครื่องหมายได้";
                case "Information3 : Double quotes are not allowed.":
                    return "ข้อมูล 3  : ไม่สามารถใส่เครื่องหมายได้";
                case "Information4 : Double quotes are not allowed.":
                    return "ข้อมูล 4  : ไม่สามารถใส่เครื่องหมายได้";
                case "Information5 : Double quotes are not allowed.":
                    return "ข้อมูล 5  : ไม่สามารถใส่เครื่องหมายได้";
                case "Serial USB Not correct":
                    return "Serial USB ไม่ถูกต้อง";
                case "Registration is Complete":
                    return "การลงทะเบียนเสร็จสมบูรณ์";
                case "Auto adjustment":
                    return "ปรับค่าอัตโนมัติ";
                case "Add line":
                    return "เพิ่ิ่มเส้น";
                case "Del line":
                    return "ลบเส้น";
                case "Copy line":
                    return "คัดลอกเส้น";
                case "Cut line":
                    return "ตัดเส้น";
                case "Paste line":
                    return "วางเส้น";
                //case "Viewer":
                case "Preview":
                    return "ดูตัวอย่าง";
                case "Save as":
                    return "บันทึกเป็น";
                case "Select Photos"://
                    return "เลือกรูปภาพ";
                case "Please select a row"://
                    return "กรุณาเลือกแถว";
                case "Copy"://
                    return "สำเนา";
                case "Paste"://
                    return "วาง";
                case "Save as is Complete."://
                    return "บันทึกเป็นเสร็จสมบูรณ์";
                case "PIC Main1":
                    return "PIC หลัก 1";
                case "PIC Main2":
                    return "PIC หลััก 2";
                case "PIC Sub":
                    return "PIC ย่อย";
                case "Comment":
                    return "ความคิดเห็น";
                case "Title":
                    return "ชื่อเรื่อง";
                case "Message":
                    return "ข้อความ";
                case "Manual":
                    return "คู่มือ";
                case "Input Conditions":
                    return "เงื่อนไขการป้อนข้อมูล";
                case "Input Comment":
                    return "ป้อนความคิดเห็น";
                case "Input Value1":
                    return "ค่าอินพุต 1";
                case "Input Value2":
                    return "ค่าอินพุุต 2";
                case "Unit":
                    return "หน่วย";
                case "Master file":
                    return "ไฟล์ต้นฉบับ";
                //case "Are you satisfied with this registration information?":
                case "Are you sure with this registration information?":
                    return "คุณแน่ใจกับข้อมูลการลงทะเบียนหรือไม่?";
                case "Confirmation":
                    return "ยืนยัน";
                case "CSV file":
                    return "ไฟล์ CSV";
                case "OK\r\nNEXT":
                    return "ตกลง\r\nต่อไป";
                case "STOP":
                    return "หยุด";
                case "Finished to the end. Repeat Work?":
                    return "เสร็จสมบูรณ์ ทำต่อไหม?";
                case "Reset":
                    return "รีเซ็ต";
                case "Enter serial number"://
                    return "ป้อนหมายเลขผลิตภัณฑ์";
                case "Data is Blanks":
                    return "ข้อมูลว่างอยู่";
                //case "Error judgment. Would you like to reconfirm?":
                case "Error. Would you like to reconfirm?":
                    return "พบข้อผิดพลาด ต้องการตรวจสอบใหม่ไหม?";
                case "Please key data again."://
                    return "กรุณาคีย์ข้อมูลอีกครั้ง";
                case "Restart":
                    return "เริ่มต้นใหม่";
                case "Handing\r\nOver":
                    return "ส่งมอบ";
                case "END":
                    return "เสร็จสิ้น";
                case "Input information"://
                    return "ป้อนข้อมูล";
                case "Input error information":
                    return "การป้อนข้อมูลผิดพลาด";
                //case "Detailed comment":
                case "Error details":
                    return "รายละเอียดผิดพลาด";
                //case "Action content":
                case "Action details":
                    return "รายละเอียดการกระทำ";
                //case "Selecting an inspection executable":
                case "Selecting an inspection master file":
                    return "การเลือกไฟล์ต้นฉบับในการตรวจสอบ";
                case "Select the inspection work  it is working on.":
                    return "เลือกงานตรวจสอบที่ดำเนินการอยู่";
                //case "Create an inspection table from the master and then\r\nImplement it.":
                case "Create an inspection work from the master.":
                    return "สร้างงานตรวจสอบจากต้นฉบับ";
                case "First page":
                    return "หน้าแรก";
                case "Previous page":
                    return "หน้าก่อน";
                case "Do you want to start from the first page?":
                    return "คุณต้องการเริ่มจากหน้าแรกไหม?";
                case "Do you want to start from the previous page?":
                    return "คุณต้องการเริ่มจากหน้าก่อนหน้านี้ไหม?";
                case "Select mode":
                    return "เลือกโหมด";
                case "Selection of inspection result display method.":
                    return "การเลือกรูปแบบแสดงผลการตรวจสอบ";
                case "Displays inspection completion results.":
                    return "แสดงผลการตรวจสอบที่เสร็จสมบูรณ์";
                case "Displays the interim results of the inspection.":
                    return "แสดงผลการตรวจสอบระหว่างช่วง";
                case "Work History Viewer":
                    return "การดูประวัติการทำงาน";
                //case "Execution name":
                case "Inspection results file name":
                    return "ชื่อไฟล์ผลการตรวจสอบ";
                case "Start item":
                    return "รายการเริ่มต้น";
                case "End item":
                    return "รายการสิ้นสุด";
                case "Information 1":
                    return "ข้อมูล 1";
                case "Information 2":
                    return "ข้อมูล 2";
                case "Information 3":
                    return "ข้อมูล 3";
                case "Start date":
                    return "วันที่เริ่มต้น";
                case "Start time":
                    return "เวลาเริ่มต้น";
                case "End date":
                    return "วันที่สิ้นสุด";
                case "End time":
                    return "เวลาสิ้นสุด";
                case "All":
                    return "ทั้งหมด";
                case "Work history"://
                    return "ประวัติการทำงาน";
                case "Completion results":
                    return "ผลสำเร็จ";
                case "Working":
                    return "การทำงาน";
                case "Error":
                    return "ข้อผิดพลาด";
                case "Search":
                    return "ค้นหา";
                case "Search is Blanks":
                    return "การค้นหาว่างอยู่";
                //case "Detailed Comment is Blanks":
                case "Error details is Blanks":
                    return "รายละเอียดผิดพลาดว่างอยู่";
                case "Date Time":
                    return "วัน เวลา";
                case "File Type":
                    return "ประเภทไฟล์";
                case "File Name":
                    return "ชื่อไฟล์";
                case "Condition":
                    return "เงื่อนไข";
                case "Type":
                    return "ประเภท";
                //case "Judgment":
                case "Judgement":
                    return "การตัดสิน";
                case "An asterisk \" * \" can be used as a wildcard.":
                    return "สามารถใช้เครื่อง * เป็นสัญลักษณ์ตัวแทนได้";
                //case "If you don't want to set the number of characters,  don't enter anything.":
                case "If you don't want to set the number of characters,  don't input anything.":
                    return "ถ้าไม่ต้องการตั้งค่าจำนวนตัวอักษร ไม่ต้องใส่ค่าอะไร";
                case "Word count":
                    return "การนับจำนวนคำ";
                case "Check to Upper case letters and Lower case letters":
                    return "ตรวจสอบตัวอักษร ตัวพิมพ์ใหญ่และตัวพิมพ์เล็ก";
                //case "Input Required":
                case "Required input":
                    return "ต้องการการป้อนข้อมูล";
                case "Standard value":
                    return "ค่ามาตรฐาน";
                //case "Formula":
                case "Judgment method":
                    return "วิธีการตัดสิน";
                case "Min":
                    return "ค่าต่ำสุด";
                case "Max":
                    return "ค่าสูงสุด";
                //case "** Blanks and double quotation marks cannot be entered.":
                case "** Blanks and double quotation marks are not allowed.":
                    return "** ไม่สามารถเว้นว่างหรือใช้เครื่องหมายได้";
                case "** File path + file name must be within 200 characters":
                    return "** ตำแหน่งไฟล์ + ชื่อไฟล์ ต้องไม่เกิน 200 ตัวอักษร";
                //case "Serial":
                case "Serial NO":
                    return "หมายเลขผลิตภัณฑ์";
                //case "Product no":
                //    return "หมายเลขผลิตภัณฑ์";
                //case "Serial is Blanks":
                case "Serial NO is Blanks":
                    return "หมายเลขผลิตภัณฑ์ว่างอยู่";
                //case "Product no is Blanks":
                //    return "หมายเลขสินค้าเป็นช่องว่าง";
                //case "Serial : Double quotes are not allowed.":
                case "Serial NO : Double quotes are not allowed.":
                    return "หมายเลขผลิตภํณฑ์ : ไม่สามารถใส่เครื่องหมายได้";
                case "Completion file":
                    return "ไฟล์ที่เสร็จสมบูรณ์";
                case "Working file":
                    return "ไฟล์ที่ี่กำลังทำอยู่";
                case "Browse Picture File":
                    return "เปิดดูไฟล์ภาพ";
                case "Master Maintenance Image":
                    return "ภาพต้นฉบับ";
                //case "File Format Wrong.":
                case "File Format is not correct.":
                    return "รูปแบบไฟล์ไม่ถูกต้อง";
                case "Excel file":
                    return "ไฟล์ Excel";
                case "Name":
                    return "ชื่อ";
                case "Remark":
                    return "ข้อคิดเห็น";
                case "Name is Blanks":
                    return "ชื่อว่างอยู่";
                case "Information is Blanks":
                    return "ข้อมูลว่างอยู่";
                case "Remark is Blanks":
                    return "ข้อคิดเห็นว่างอยู่";
                case "File":
                    return "ไฟล์";
                case "Page":
                    return "หน้า";
                case "Date":
                    return "วันที่";
                case "Time":
                    return "เวลา";
                case "Remarks":
                    return "หมายเหตุ";
                case "文字 -強制":
                    return "ตัวละครบังคับ";
                case "小数点±":
                    return "จุดทศนิยม ±";
                case "形式":
                    return "รูปแบบ";
                case "図番":
                    return "หมายเลขการวาดภาพ";
                case "版数":
                    return "หมายเลขรุ่น";
                case "インデックス":
                    return "ดัชนี";
                case "情報1":
                    return "ข้อมูล 1";
                case "情報2":
                    return "ข้อมูล 2";
                case "情報3":
                    return "ข้อมูล 3";
                case "情報4":
                    return "ข้อมูล 4";
                case "情報5":
                    return "ข้อมูล 5";
                case "1検査-1":
                    return "1 การตรวจสอบ-1";
                case "1検査-2":
                    return "1 การตรวจสอบ-2";
                case "1検査-3":
                    return "1 การตรวจสอบ-3";
                case "総台数":
                    return "จำนวนทั้งหมด";
                case "この番号":
                    return "หมายเลขนี้";
                case "認識名称(シリアルNo)":
                    return "ชื่อการรับรู้ (หมายเลขซีเรียล)";
                case "認識番号(製造番号)":
                    return "หมายเลขประจำตัว (หมายเลขการผลิต)";
                case "他１":
                    return "อีก 1 คน";
                case "他２":
                    return "อีก 2 คน";
                case "他３":
                    return "อีก 3 คน";
                case "他４":
                    return "อีก 4 คน";
                case "他５":
                    return "อีก 5 คน";
                case "1/1目の検査":
                    return "1/1 ตรวจวัดสายตา";
                case "否":
                    return "เลขที่";
                case "管理者記入欄":
                    return "ช่องรายการผู้ดูแลระบบ";
                case "Excel File Not Found.":
                    return "ไม่พบไฟล์ Excel";
                default:
                    return strEnglish;
            }



        }

    }
}
